Subject: [PATCH 1/3] ARM: OMAP2+: 32k-counter: Use hwmod lookup to check presence of 32k timer

From: [email-masked] (Santosh Shilimkar)
Date: Tue, 10 Apr 2012 14:27:36 +0530

On Tuesday 10 April 2012 02:14 PM, Russell King - ARM Linux wrote:
> On Mon, Apr 09, 2012 at 03:18:22PM -0500, Jon Hunter wrote:
>> True, but we would always want to use the 32k timer if CONFIG_PM is  
>> specified. So what I am saying is that if a device has a 32ksync timer  
>> and CONFIG_PM is defined, we always want to use the 32ksync timer and a  
>> gptimer should never be used.
> 
> Why?  What if you want to have PM enabled, and you also want to use the
> kernels high resolution timers, or you want more accurate timing than
> the 30.5us tick interval of the 32k timer?

You might have missed the earlier comments on the thread. High
resolution GP timer(sysclk) will stop in deeper power states and
hence it can't be used with PM enabled usecases.

Regards
Santosh